summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/var_templating/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/var_templating/runme.sh')
-rwxr-xr-xtest/integration/targets/var_templating/runme.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/test/integration/targets/var_templating/runme.sh b/test/integration/targets/var_templating/runme.sh
new file mode 100755
index 0000000..bcf0924
--- /dev/null
+++ b/test/integration/targets/var_templating/runme.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+set -eux
+
+# this should succeed since we override the undefined variable
+ansible-playbook undefined.yml -i inventory -v "$@" -e '{"mytest": False}'
+
+# this should still work, just show that var is undefined in debug
+ansible-playbook undefined.yml -i inventory -v "$@"
+
+# this should work since we dont use the variable
+ansible-playbook undall.yml -i inventory -v "$@"
+
+# test hostvars templating
+ansible-playbook task_vars_templating.yml -v "$@"
+
+# there should be an attempt to use 'sudo' in the connection debug output
+ANSIBLE_BECOME_ALLOW_SAME_USER=true ansible-playbook test_connection_vars.yml -vvvv "$@" | tee /dev/stderr | grep 'sudo \-H \-S'
+
+# smoke test usage of VarsWithSources that is used when ANSIBLE_DEBUG=1
+ANSIBLE_DEBUG=1 ansible-playbook test_vars_with_sources.yml -v "$@"